<?
if(isset($_GET['mycellar2']) && isset($_GET['soil2']) && intval($_GET['soil2'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_polka2` WHERE `id` = '".intval($_GET['soil2'])."' AND `id_user` = '$ku[id]'"),0)!=0)
{
echo '<div class="event"><h1>Магазин удобрений</h1></div>';
echo "<div class='content'>";
echo "<div class='block'>";
$polka2=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_polka2` WHERE `id` = '".intval($_GET['soil2'])."' AND `id_user` = '$ku[id]'"));
$plant2=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_plant2` WHERE `id` = '$polka2[id_plant2]'"));
if($polka2['soil2']==0 && $polka2['time_soil2']<=$time && $polka2['id_plant2']!=0 && $polka2['time']>$time)
{
if(isset($_GET['select']) && intval($_GET['select'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_soil2` WHERE `id` = '".intval($_GET['select'])."' AND (`level` = '$ku[level]' OR `level` < '$ku[level]')"),0)!=0)
{
$soil2=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_soil2` WHERE `id` = '".intval($_GET['select'])."'"));
if($ku['money']>=$soil2['cena'])
{
$rat=$soil2['rating'];
$rat_sc_act=0;
$rat_hp_act=0;
$rat_mc_hp_act=0;
$rat_drakon_act=0;
$rat_soiler2_act=0;
$rat_school_act=0;
$rat_lib_act=0;
if(isset($hp_act))$rat_hp_act=(($rat/100)*$hp_ps);
if(isset($mc_hp_act))$rat_mc_hp_act=(($rat/100)*$mc_hp_ps);
if(isset($sc_act))$rat_sc_act=$rat*2;
if(isset($drakon_act))$rat_drakon_act=(($rat/100)*300);
if(isset($soiler2_act))$rat_soiler2_act=(($rat/100)*$soiler2_act);
if(isset($school_act))$rat_school_act=$rat*2;
if(isset($lib_act))$rat_lib_act=$rat/2;
if(isset($shmel_act))$rat_soiler2_act=$rat_soiler2_act*2;
if(isset($shmel_act))$rat_hp_act=$rat_hp_act*2;
$ratt=$rat_mc_hp_act+$rat_sc_act+$rat_hp_act+$rat_drakon_act+$rat_soiler2_act+$rat_school_act+$rat_lib_act;
if($ratt==0)$rat=$rat;
else $rat=$ratt;
if(isset($dexp))$rat=$rat*2;

$st=$soil2['time'];
$st_hp_act=0;
$st_mc_hp_act=0;
$st_soiler2_act=0;
if(isset($hp_act))$st_hp_act=($st/100)*$hp_ps;
if(isset($mc_hp_act))$st_mc_hp_act=($st/100)*$mc_hp_ps;
if($soiler2_act)$st_soiler2_act=($st/100)*$soiler2_act;
$st=$st_hp_act+$st_soiler2_act+$st+$st_mc_hp_act;
mysql_query("UPDATE `kolhoz_polka2` SET `time` = '".($polka2['time']-$st)."', `soil2` = '1' WHERE `id` = '$polka2[id]' LIMIT 1");
mysql_query("UPDATE `kolhoz_user` SET `money` = '".($ku['money']-$soil['cena'])."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_user` SET `rating` = '".($ku['rating']+$rat)."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_user` SET `last_soil2` = '$soil[id]' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_user` SET `agronom` = '".($ku['agronom']+1)."' WHERE `id` = '$ku[id]'");
$_SESSION['rating']=$rat;
update_mc($rat);
}
else
{
$nm=$soil2['cena']-$ku['money'];
$_SESSION['no_money']=$nm;
}
header("Location:?mycellar2&".passgen());
exit;
}
echo "<div><img width='48' height='48' src='images/plants/$plant2[id].png' alt='o' class='portrait'><div class='title'>".hsc($plant2['name'])."</div><div class='small minor'>(Урожай через <span>".time_left($polka2['time']-$time)."</span>)</div><div style='clear:both'></div></div><h3>Выбери Удобрение</h3>";
$q=mysql_query("SELECT * FROM `kolhoz_soil2`");
echo "<ul>";
while($post=mysql_fetch_array($q))
{
echo "<li style='padding-bottom:8px'>";
echo "<img width='48' height='48' src='images/soils/$post[id].png' alt='o' class='portrait'><div>".($ku['level']>=$post['level']?"<a href='?mycellar2&soil2=$polka2[id]&select=$post[id]'>":null)."<span>".hsc($post['name'])."</span>".($ku['level']>=$post['level']?"</a>":null)."<span class='minor'>, ".($ku['level']>=$post['level']?"цена: </span><span><img width='16' height='16' src='images/icons/money.png' alt='o'><span class='title'>$post[cena]</span></span>":"доступно с $post[level] уровня</span>")."</div><div class='minor small'>Ускоряет рост на <span class='title'>".time_left($post['time'])."</span>,опыт: <img width='16' height='16' src='images/icons/experience.png' alt='o'> <span class='title'>$post[rating]</span></div><div style='clear:both'></div></li>";
}
echo "</ul></div>";
include_once 'inc/foot.php';
}
}
?>